Bug 187344 - webalizer doesn't handle group visits properly
Summary: webalizer doesn't handle group visits properly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-30 10:12 UTC by Jarkko
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version: 2.01_10-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 14:04:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Group visit patch which shows group visits properly (3.36 KB, patch)
2006-03-30 10:12 UTC, Jarkko
no flags Details | Diff

Description Jarkko 2006-03-30 10:12:18 UTC
Description of problem:

Webalizer doesn't handle group visits properly. It says for example that a
certain domain has 0.01 % of the total visits. In reality it might have over 50
% of the total visits!

Group visits should be summarized, not calculated as if the group would be one
client.


Version-Release number of selected component (if applicable):

All versions up to: webalizer-2.01_10-29.2.1


How reproducible:

Well, always of course. :)


Steps to Reproduce:
1. Configure webalizer.
2. Run webalizer.
3. Look at the statistics. Section "Sites". And there "Visits".

  
Actual results:

Visit numbers for groups are presented as if the group would be one client and
not a group of clients. Just look at the percent numbers and think about what
they say to you. That is not correct like that.


Expected results:

Summarized visit counts for the group.


Additional info:

I'm giving you the fix for this issue. Patch attached. Already tested on FC5
where webalizer is working normally after this patch was added to the spec.
(Exactly same run time as without this patch. No effect on performance.)

Comment 1 Jarkko 2006-03-30 10:12:19 UTC
Created attachment 127046 [details]
Group visit patch which shows group visits properly

Comment 2 Joe Orton 2006-06-16 14:04:13 UTC
Thanks a lot for the patches, Jarkko (and sorry for the delay!) - I've committed
all of these; should hit Raw Hide once the test1 freeze is over.


Note You need to log in before you can comment on or make changes to this bug.